Bug 141236 - games/worldofpadman gives error parsearg() - expected '%' and stops running
Summary: games/worldofpadman gives error parsearg() - expected '%' and stops running
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-07 03:30 UTC by malus
Modified: 2010-10-11 00:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description malus 2009-12-07 03:30:03 UTC
After compiling and installing World of Padman on an amd64 version of FreeBSD, when you run the game it fails with an output of.

total 0, hsize 1021, zero 1021, min 0, max 0
parsearg() - expected '%'
-> jmpq *rax

Fix: 

# cd /usr/ports/games/worldofpadman
# make deinstall
# make clean
# make extract
# vi work/worldofpadman-1.2.20080621/code/qcommon/vm_x86_64.c

enter the command :/jmpg
and a line should come up saying
        emit("jmpq *%rax");
replace that line with
        emit("jmpq *%%rax");
enter the command :wq

# make build
# make install clean
How-To-Repeat: # cd /usr/ports/games/worldofpadman
# make install clean
# worldofpadman
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-12-07 07:25:18 UTC
Responsible Changed
From-To: freebsd-amd64->alepulver

Reclassify as ports PR and assign.
Comment 2 dfilter service freebsd_committer 2010-10-11 00:46:19 UTC
alepulver    2010-10-10 23:46:14 UTC

  FreeBSD ports repository

  Modified files:
    games/worldofpadman/files patch-code__qcommon__vm_x86_64.c 
  Log:
  - Fix runtime error in VM, occurring on amd64.
  
  PR:             ports/141236
  Submitted by:   malus <malus2200@gmail.com>
  
  Revision  Changes    Path
  1.2       +10 -1     ports/games/worldofpadman/files/patch-code__qcommon__vm_x86_64.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alejandro Pulver freebsd_committer 2010-10-11 00:46:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!